org.apache.felix.ipojo.architecture

## Class HandlerDescription

- java.lang.Object
- - org.apache.felix.ipojo.architecture.HandlerDescription

Direct Known Subclasses:
  ConfigurationHandlerDescription, DependencyHandlerDescription, ProvidedServiceHandlerDescription

    public class HandlerDescription
    extends java.lang.Object

Handler Description.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`HandlerDescription(Handler handler)` Creates a handler description.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.felix.ipojo.metadata.Element` `getHandlerInfo()` Gets handler information.
`java.lang.String` `getHandlerName()` Gets the handler name.
`boolean` `isValid()` Checks if the handler is valid.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HandlerDescription

    public HandlerDescription(Handler handler)

Creates a handler description.

Parameters:
  `handler` - the handler.

### Method Detail

#### isValid

    public boolean isValid()

Checks if the handler is valid.

Returns:
  true if the handler is valid.

#### getHandlerName

    public java.lang.String getHandlerName()

Gets the handler name.

Returns:
  the handler qualified name (i.e. namespace:name).

#### getHandlerInfo

    public org.apache.felix.ipojo.metadata.Element getHandlerInfo()

Gets handler information. This represent the actual state of the handler.

Returns:
  the handler information.